Module | Sequel::Plugins::AssociationProxies
In: | lib/sequel/plugins/association_proxies.rb

Sequel by default does not use proxies for associations. The association method for *_to_many associations returns an array, and the association_dataset method returns a dataset. This plugin makes the association method return a proxy that will load the association and call a method on the association array if sent an array method, and otherwise send the method to the association‘s dataset.

Usage:

      # Use association proxies in all model subclasses (called before loading subclasses)
      Sequel::Model.plugin :association_proxies

      # Use association proxies in a specific model subclass
      Album.plugin :association_proxies

### Classes and Modules

Module Sequel::Plugins::AssociationProxies::ClassMethods
Class Sequel::Plugins::AssociationProxies::AssociationProxy

[Validate]